Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/cpCacheOop.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/oops/cpCacheOop.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/oops/cpCacheOop.hpp
@@ -126,6 +126,7 @@ class ConstantPoolCacheEntry VALUE_OBJ_C
   void set_bytecode_2(Bytecodes::Code code);
   void set_f1(oop f1)                            {
     oop existing_f1 = _f1; // read once
+    existing_f1 = existing_f1; // suppress compiler warning
     assert(existing_f1 == NULL || existing_f1 == f1, "illegal field change");
     oop_store(&_f1, f1);
   }
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/gc_implementation/shared/allocationStats.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/gc_implementation/shared/allocationStats.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/gc_implementation/shared/allocationStats.hpp
@@ -70,6 +70,7 @@ class AllocationStats VALUE_OBJ_CLASS_SP
     _splitBirths = split_birth? 1 : 0;
     _splitDeaths = 0;
     _returnedBytes = 0;
+    dummy = dummy; //suppress compiler warning
   }
 
   AllocationStats() {
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/interpreter/bytecode.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/interpreter/bytecode.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/interpreter/bytecode.hpp
@@ -375,6 +375,7 @@ class Bytecode_loadconstant: public Byte
     assert(stdc == Bytecodes::_ldc ||
            stdc == Bytecodes::_ldc_w ||
            stdc == Bytecodes::_ldc2_w, "load constant");
+    stdc = stdc; //suppress compiler warning
   }
 
   int index() const;
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/regalloc.hpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/opto/regalloc.hpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/opto/regalloc.hpp
@@ -108,6 +108,7 @@ public:
     assert( n->_idx < _node_regs_max_index, "Exceeded _node_regs array");
     OptoReg::Name first = _node_regs[n->_idx].first();
     OptoReg::Name second = _node_regs[n->_idx].second();
+    second = second; //suppress compiler warning
     assert( !OptoReg::is_valid(second) || second == first+1, "" );
     assert(OptoReg::is_reg(first), "out of range");
     return Matcher::_regEncode[first];
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
@@ -807,7 +807,6 @@ void ADLParser::reg_parse(void) {
 //------------------------------encode_parse-----------------------------------
 void ADLParser::encode_parse(void) {
   EncodeForm *encBlock;         // Information about instruction/operand encoding
-  char       *desc = NULL;      // String representation of encode rule
 
   _AD.getForm(&encBlock);
   if ( encBlock == NULL) {
@@ -2094,7 +2093,6 @@ void ADLParser::pipe_class_parse(Pipelin
 //------------------------------peep_parse-------------------------------------
 void ADLParser::peep_parse(void) {
   Peephole  *peep;                // Pointer to current peephole rule form
-  char      *desc = NULL;         // String representation of rule
 
   skipws();                       // Skip leading whitespace
 
@@ -2658,10 +2656,7 @@ void ADLParser::peep_constraint_parse(Pe
 //
 void ADLParser::peep_replace_parse(Peephole &peep) {
   int          lparen = 0;        // keep track of parenthesis nesting depth
-  int          rparen = 0;        // keep track of parenthesis nesting depth
-  int          icount = 0;        // count of instructions in rule for naming
   char        *str    = NULL;
-  char        *token  = NULL;
 
   skipws();
   // Check for open paren
@@ -2753,7 +2748,6 @@ Predicate *ADLParser::pred_parse(void) {
   char      *rule = NULL;         // String representation of predicate
 
   skipws();                       // Skip leading whitespace
-  int line = linenum();
   if ( (rule = get_paren_expr("pred expression", true)) == NULL ) {
     parse_err(SYNERR, "incorrect or missing expression for 'predicate'\n");
     return NULL;
@@ -3016,7 +3010,6 @@ Opcode * ADLParser::opcode_parse(Instruc
   char *secondary = NULL;
   char *tertiary  = NULL;
 
-  char   *val    = NULL;
   Opcode *opcode = NULL;
 
   // Get value of the instruction's opcode
@@ -3086,7 +3079,6 @@ Opcode * ADLParser::opcode_parse(Instruc
 //------------------------------interface_parse--------------------------------
 Interface *ADLParser::interface_parse(void) {
   char *iface_name  = NULL;      // Name of interface class being used
-  char *iface_code  = NULL;      // Describe components of this class
 
   // Get interface class name
   skipws();                       // Skip whitespace
@@ -4646,7 +4638,6 @@ bool ADLParser::handle_preproc_token() {
 // line count.
 // Maybe handle certain preprocessor constructs: #ifdef, #ifndef, #else, #endif
 void ADLParser::skipws_common(bool do_preproc) {
-  char *start = _ptr;
   char *next = _ptr + 1;
 
   if (*_ptr == '\0') {
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
@@ -294,7 +294,6 @@ void ArchDesc::inspectOperands() {
 
     // Find result type for match.
     const char *result      = op->reduce_result();
-    bool        has_root    = false;
 
     // Construct a MatchList for this entry
     buildMatchList(op->_matrule, result, rootOp, pred, cost);
@@ -394,7 +393,7 @@ const char *ArchDesc::reduceRight(char
 
 //------------------------------check_optype-----------------------------------
 void ArchDesc::check_optype(MatchRule *mrule) {
-  MatchRule *rule = mrule;
+  // MatchRule *rule = mrule;
 
   //   !!!!!
   //   // Cycle through the list of match rules
Index: icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
===================================================================
--- icedtea6-1.9.1.orig/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
+++ icedtea6-1.9.1/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
@@ -249,8 +249,6 @@ void FileBuffRegion::print( ostream& os
   if( !len ) return;                    // All done; exit
 
   // Here we require at least 2 lines
-  int off1 = _length - len + skip;      // Length of line 1
-  int off2 = off1 + _sol;               // Offset to start of line 2
   char *s2 = _bfr->get_line();           // Start of line 2
   char *s3 = strchr( s2, '\n' )+1;      // Start of line 3 (unread)
   if( len <= (s3-s2) ) {                // It all fits on the next line
@@ -259,7 +257,6 @@ void FileBuffRegion::print( ostream& os
   }
 
   // Here we require at least 3 lines
-  int off3 = off2 + (int)(s3-s2);       // Offset to start of line 3
   s3 = _bfr->get_line();                // Start of line 3 (read)
   const char *s4 = strchr( s3, '\n' )+1;// Start of line 4 (unread)
   if( len < (s4-s3) ) {                 // It all fits on the next 2 lines
